### Navigation

- index
- modules |
- FireWorks 0.11 documentation »

# features Package

## `features` Package

## `dupefinder` Module

This module contains the base class for implementing Duplicate Finders

class `fireworks.features.dupefinder.``DupeFinderBase`

  Bases: `fireworks.utilities.fw_serializers.FWSerializable`

  This serves an Abstract class for implementing Duplicate Finders

  `__init__`()
  classmethod `from_dict`(m_dict)
  `query`(spec)

    Given a spec, returns a database query that gives potential candidates for duplicated FireWorks.

    Parameters: | spec – spec to check for duplicates

  `to_dict`(*args, **kwargs)
  `verify`(spec1, spec2)

    Method that checks whether two specs are identical enough to be considered duplicates. Return true if duplicated. :param spec1: (dict) :param spec2: (dict)

### Navigation

- index
- modules |
- FireWorks 0.11 documentation »